## kstars 15.12.3

=== CMakeLists.txt ===
PROJECT(kstars CXX C)
set (KStars_VERSION_MAJOR 2)
set (KStars_VERSION_MINOR 4)
set (KStars_VERSION_REVISION 0)

# minimal requirements
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

find_package(Qt5 5.2 REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg OpenGL PrintSupport Multimedia Test)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMAddAppIcon)

# Load the frameworks we need
find_package(KF5 REQUIRED COMPONENTS
  Config
  DocTools
  GuiAddons
  WidgetsAddons
  NewStuff
  DBusAddons
  I18n
  Init
  JobWidgets
  KIO
  XmlGui
  Plotting
  TextEditor
  IconThemes
  Notifications
)

find_package(Eigen3 REQUIRED)
add_definitions(${EIGEN_DEFINITIONS})
include_directories(${EIGEN3_INCLUDE_DIR})

#PyKDE4 Package TODO? Is there KF5 Package?

find_package(CFitsio)
if (CFITSIO_FOUND)
set(HAVE_CFITSIO 1)
else(CFITSIO_FOUND)
set(HAVE_CFITSIO 0)
endif(CFITSIO_FOUND)
set_package_properties(CFitsio PROPERTIES DESCRIPTION "FITS IO Library" URL "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE OPTIONAL PURPOSE "Support for the FITS (Flexible Image Transport System) data format in KStars.")

find_package(INDI 1.1.0)
#FIXME is there a better way to do this?
if (INDI_FOUND)
SET(HAVE_INDI 1)
else(INDI_FOUND)
SET(HAVE_INDI 0)
endif(INDI_FOUND)
set_package_properties(INDI PROPERTIES DESCRIPTION "Astronomical instrumentation control" URL "http://www.indilib.org" TYPE OPTIONAL PURPOSE "Support for controlling astronomical devices on Linux with KStars.")

find_package(WCSLIB)
if (WCSLIB_FOUND)
set(HAVE_WCSLIB 1)
else(WCSLIB_FOUND)
set(HAVE_WCSLIB 0)
endif(WCSLIB_FOUND)
set_package_properties(WCSLIB PROPERTIES DESCRIPTION "World Coordinate System library" URL "http://www.atnf.csiro.au/people/mcalabre/WCS" TYPE OPTIONAL PURPOSE "WCS enables KStars to read and process world coordinate systems in FITS header.")

find_package(Xplanet)
if (XPLANET_FOUND)
set(HAVE_XPLANET 1)
else(XPLANET_FOUND)
set(HAVE_XPLANET 0)
endif(XPLANET_FOUND)
set_package_properties(Xplanet PROPERTIES DESCRIPTION "Renders an image of all the major planets and most satellites" URL "http://xplanet.sourceforge.net" TYPE OPTIONAL PURPOSE "Gives KStars support for xplanet.")

find_package(AstrometryNet)
if (ASTROMETRYNET_FOUND)
set(HAVE_ASTROMETRYNET 1)
else(ASTROMETRYNET_FOUND)
set(HAVE_ASTROMETRYNET 0)
endif(ASTROMETRYNET_FOUND)
set_package_properties(AstrometryNet PROPERTIES DESCRIPTION "Astrometrics Library" URL "http://www.astrometry.net" TYPE OPTIONAL PURPOSE "Support for plate solving in KStars.")

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "Open Graphics Library" URL "http://www.opengl.org" TYPE OPTIONAL PURPOSE "Support for hardware rendering in KStars.")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -Dfexceptions)

enable_testing(true)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kstars.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config-kstars.h )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kstars/version.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/kstars/version.h )

# let our config.h be found first in any case
include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})

# FIXME should we explicitly include it?
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(doc)
add_subdirectory(kstars)
add_subdirectory(datahandlers)

# FIXME Enable Tests later!
#add_subdirectory(Tests)

install(FILES org.kde.kstars.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)

#if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
#   macro_display_feature_log()
#endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== Tests/CMakeLists.txt ===
include_directories( ${kstars_SOURCE_DIR} )
# QT4_AUTOMOC( ${kstars_SRCS} )
# add_library( KStarsAll SHARED ${kstars_extra_SRCS})


FIND_PACKAGE(Qt4 REQUIRED)
SET( TEST_LIBRARIES ${QT_QTTEST_LIBRARY} ${QT_LIBRARIES}
        LibKSDataHandlers
        htmesh
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KNEWSTUFF3_LIBS}
        ${KDE4_KIO_LIBS}
        ${ZLIB_LIBRARIES}
        ${QT_QTSQL_LIBRARY}
        KStarsLib
)

SET( KSParserTests_SRCS testcsvparser.cpp testfwparser.cpp )
QT4_AUTOMOC( ${KSParserTests_SRCS} )
QT4_AUTOMOC( testfwparser.cpp )

ADD_EXECUTABLE( testcsvparser testcsvparser.cpp )
TARGET_LINK_LIBRARIES( testcsvparser ${TEST_LIBRARIES} ${QT_QTTEST_LIBRARY})
ADD_TEST( NAME CSVParserTest COMMAND testcsvparser )

ADD_EXECUTABLE( testfwparser testfwparser.cpp )
TARGET_LINK_LIBRARIES( testfwparser ${TEST_LIBRARIES} ${QT_QTTEST_LIBRARY})
ADD_TEST( NAME FixedWidthParserTest COMMAND testfwparser )

=== datahandlers/CMakeLists.txt ===
include_directories(
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
)

set(LibKSDataHandlers_SRCS
        ${kstars_SOURCE_DIR}/datahandlers/catalogentrydata.cpp
        ${kstars_SOURCE_DIR}/datahandlers/catalogdata.cpp
        ${kstars_SOURCE_DIR}/datahandlers/ksparser.cpp
        ${kstars_SOURCE_DIR}/datahandlers/catalogdb.cpp
)

add_library(LibKSDataHandlers STATIC ${LibKSDataHandlers_SRCS})

# Added this because includedir was missing, is this required?
target_link_libraries(LibKSDataHandlers KF5::WidgetsAddons KF5::I18n Qt5::Sql Qt5::Core Qt5::Gui)

=== kstars/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( icons )
add_subdirectory( htmesh )
#FIXME Port to QML2
#add_subdirectory( tools/whatsinteresting/qml)

Find_package(ZLIB REQUIRED)
Find_package(Threads REQUIRED)

if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES=1)
    add_definitions(-DNOMINMAX)
endif()

include_directories(
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
)

if (CFITSIO_FOUND)
  set (fits_SRCS
    fitsviewer/fitshistogram.cpp
    fitsviewer/fitsdata.cpp
    fitsviewer/fitsview.cpp
    fitsviewer/fitsviewer.cpp
    fitsviewer/fitstab.cpp
    fitsviewer/fitsdebayer.cpp
    fitsviewer/bayer.c
    fitsviewer/qcustomplot.cpp
    )
  set (fitsui_SRCS
    fitsviewer/fitsheaderdialog.ui
    fitsviewer/statform.ui
    fitsviewer/fitsdebayer.ui
    indi/streamform.ui
    fitsviewer/fitshistogramui.ui
    )
  include_directories(${CFITSIO_INCLUDE_DIR})
endif(CFITSIO_FOUND)

if (INDI_FOUND)
  set (indi_SRCS
    indi/drivermanager.cpp
    indi/servermanager.cpp
    indi/clientmanager.cpp
    indi/guimanager.cpp
    indi/driverinfo.cpp
    indi/deviceinfo.cpp
    indi/indidevice.cpp
    indi/indigroup.cpp
    indi/indiproperty.cpp
    indi/indielement.cpp
    indi/indistd.cpp
    indi/indilistener.cpp
    indi/inditelescope.cpp
    indi/indiccd.cpp
    indi/indifocuser.cpp
    indi/indifilter.cpp
    indi/indidome.cpp
    indi/indiweather.cpp
    indi/indicap.cpp
    indi/indidbus.cpp
    indi/opsindi.cpp
    indi/telescopewizardprocess.cpp
    indi/streamwg.cpp
    )
  set(indiui_SRCS
    indi/drivermanager.ui
    indi/opsindi.ui
    indi/indihostconf.ui
    indi/streamform.ui
    indi/telescopewizard.ui
    )

if (CFITSIO_FOUND)
   set(ekosui_SRCS
      ekos/scheduler.ui
      ekos/opsekos.ui
      ekos/ekosmanager.ui
      ekos/capture.ui
      ekos/align.ui
      ekos/focus.ui
      ekos/guide.ui
      ekos/mount.ui
      ekos/guide/guider.ui
      ekos/guide/rcalibration.ui
   )

   set(ekos_SRCS
      ekos/schedulerjob.cpp
      ekos/scheduler.cpp
      ekos/ekosmanager.cpp
      ekos/capture.cpp
      ekos/focus.cpp
      ekos/guide.cpp
      ekos/align.cpp
      ekos/mount.cpp
      ekos/dome.cpp
      ekos/weather.cpp
      ekos/dustcap.cpp
      ekos/astrometryparser.cpp
      ekos/offlineastrometryparser.cpp
      ekos/onlineastrometryparser.cpp
      ekos/opsekos.cpp
      ekos/QProgressIndicator.cpp
      ekos/guide/common.cpp
      ekos/guide/gmath.cpp
      ekos/guide/guider.cpp
      ekos/guide/matr.cpp
      ekos/guide/rcalibration.cpp
      ekos/guide/scroll_graph.cpp
      ekos/guide/vect.cpp

   )

endif(CFITSIO_FOUND)

  include_directories(${INDI_INCLUDE_DIR})
endif(INDI_FOUND)

if (WCSLIB_FOUND)
  include_directories( ${WCSLIB_INCLUDE_DIR} )
endif (WCSLIB_FOUND)

if ( XPLANET_FOUND )
  set (xplanet_SRCS
    xplanet/opsxplanet.cpp
    )
  set(xplanetui_SRCS
    xplanet/opsxplanet.ui
    )
endif ( XPLANET_FOUND )

#FIXME Enable OpenGL Later
#if ( OPENGL_FOUND )
#  include_directories( ${OPENGL_INCLUDE_DIRS} )
#  set(kstars_gl_SRCS
#    skyglpainter.cpp skymapgldraw.cpp
#    )
#  add_definitions(-DHAVE_OPENGL)
#endif( OPENGL_FOUND )

########### next target ###############
set(libkstarstools_SRCS
	tools/altvstime.cpp	
	tools/avtplotwidget.cpp
	tools/calendarwidget.cpp
	tools/conjunctions.cpp	
	tools/jmoontool.cpp
	tools/ksconjunct.cpp
        tools/eqplotwidget.cpp
        tools/astrocalc.cpp
        tools/modcalcangdist.cpp
        tools/modcalcapcoord.cpp
        tools/modcalcaltaz.cpp
        tools/modcalcdaylength.cpp
        tools/modcalceclipticcoords.cpp
        tools/modcalcvizequinox.cpp
        tools/modcalcgalcoord.cpp
        tools/modcalcgeodcoord.cpp
        tools/modcalcjd.cpp
        tools/modcalcplanets.cpp
        tools/modcalcsidtime.cpp
        tools/modcalcvlsr.cpp
        tools/observinglist.cpp
        tools/obslistpopupmenu.cpp
	tools/sessionsortfilterproxymodel.cpp
	tools/obslistwizard.cpp
	tools/planetviewer.cpp
	tools/pvplotwidget.cpp
	tools/scriptargwidgets.cpp
	tools/scriptbuilder.cpp
	tools/scriptfunction.cpp
	tools/skycalendar.cpp
	tools/wutdialog.cpp
        tools/flagmanager.cpp
        tools/horizonmanager.cpp

        #FIXME Port to QML2
        #tools/whatsinteresting/skyobjlistmodel.cpp
        #tools/whatsinteresting/wiview.cpp
        #tools/whatsinteresting/modelmanager.cpp
        #tools/whatsinteresting/skyobjitem.cpp
        #tools/whatsinteresting/wilpsettings.cpp
        #tools/whatsinteresting/wiequipsettings.cpp
        #tools/whatsinteresting/obsconditions.cpp
        #tools/whatsinteresting/skyobjdescription.cpp

        #FIXME Port to KF5
        #tools/moonphasetool.cpp
	tools/starhopper.cpp
	tools/eyepiecefield.cpp
        tools/starhopperdialog.cpp
	)

ki18n_wrap_ui(libkstarstools_SRCS
	tools/altvstime.ui
	tools/argchangeviewoption.ui
	tools/argexportimage.ui
	tools/argloadcolorscheme.ui
	tools/arglooktoward.ui
	tools/argfindobject.ui
	tools/argprintimage.ui
	tools/argsetaltaz.ui
	tools/argsetcolor.ui
	tools/argsetgeolocation.ui
	tools/argsetlocaltime.ui
	tools/argsetradec.ui
	tools/argsettrack.ui
	tools/argtimescale.ui
	tools/argwaitfor.ui
	tools/argwaitforkey.ui
	tools/argzoom.ui
	tools/conjunctions.ui
        tools/modcalcangdist.ui
        tools/modcalcapcoord.ui
        tools/modcalcaltaz.ui
        tools/modcalcdaylength.ui
        tools/modcalceclipticcoords.ui
        tools/modcalcvizequinox.ui
        tools/modcalcgalcoord.ui
        tools/modcalcgeod.ui
        tools/modcalcjd.ui
        tools/modcalcplanets.ui
        tools/modcalcsidtime.ui
        tools/modcalcvlsr.ui
	tools/observinglist.ui
	tools/obslistwizard.ui
	tools/optionstreeview.ui
	tools/planetviewer.ui
	tools/scriptbuilder.ui
	tools/scriptnamedialog.ui
	tools/skycalendar.ui
	tools/wutdialog.ui
	tools/flagmanager.ui
        tools/whatsinteresting/wilpsettings.ui
        tools/whatsinteresting/wiequipsettings.ui
        tools/starhopperdialog.ui
        tools/horizonmanager.ui
        )


set(libkstarscomponents_SRCS
   skycomponents/skylabeler.cpp
   skycomponents/highpmstarlist.cpp
   skycomponents/skymapcomposite.cpp
   skycomponents/skymesh.cpp
   skycomponents/linelistindex.cpp
   skycomponents/linelistlabel.cpp
   skycomponents/noprecessindex.cpp
   skycomponents/listcomponent.cpp
   skycomponents/pointlistcomponent.cpp
   skycomponents/solarsystemsinglecomponent.cpp
   skycomponents/solarsystemlistcomponent.cpp
   skycomponents/asteroidscomponent.cpp
   skycomponents/cometscomponent.cpp
   skycomponents/planetmoonscomponent.cpp
   skycomponents/solarsystemcomposite.cpp
   skycomponents/satellitescomponent.cpp
   skycomponents/starcomponent.cpp
   skycomponents/deepstarcomponent.cpp
   skycomponents/deepskycomponent.cpp
   skycomponents/catalogcomponent.cpp
   skycomponents/constellationartcomponent.cpp
   skycomponents/constellationboundarylines.cpp
   skycomponents/constellationlines.cpp
   skycomponents/constellationnamescomponent.cpp
   skycomponents/supernovaecomponent.cpp
   skycomponents/coordinategrid.cpp
   skycomponents/equatorialcoordinategrid.cpp
   skycomponents/horizontalcoordinategrid.cpp
   skycomponents/ecliptic.cpp
   skycomponents/equator.cpp
   skycomponents/artificialhorizoncomponent.cpp
   skycomponents/horizoncomponent.cpp
   skycomponents/milkyway.cpp
   skycomponents/skycomponent.cpp
   skycomponents/skycomposite.cpp
   skycomponents/starblock.cpp
   skycomponents/starblocklist.cpp
   skycomponents/starblockfactory.cpp
   skycomponents/culturelist.cpp
   skycomponents/flagcomponent.cpp
   skycomponents/targetlistcomponent.cpp
   skycomponents/notifyupdatesui.cpp
)

set(libkstarswidgets_SRCS
	widgets/clicklabel.cpp
	widgets/dmsbox.cpp
	widgets/draglistbox.cpp
	widgets/fovwidget.cpp
	widgets/logedit.cpp
	widgets/magnitudespinbox.cpp
	widgets/mapcanvas.cpp
	widgets/thumbimage.cpp
	widgets/timespinbox.cpp
	widgets/timestepbox.cpp
	widgets/timeunitbox.cpp
	widgets/infoboxwidget.cpp
#        widgets/genericcalendarwidget.cpp
#        widgets/moonphasecalendarwidget.cpp
	widgets/kshelplabel.cpp
    widgets/unitspinboxwidget.cpp
)

ki18n_wrap_ui(libkstarswidgets_SRCS
#  widgets/genericcalendarwidget.ui
    widgets/unitspinboxwidget.ui
)

set( kstars_KCFG_SRCS Options.kcfgc )

set(kstars_options_SRCS
  options/opsadvanced.cpp
  options/opscatalog.cpp
  options/opscolors.cpp
  options/opsguides.cpp
  options/opssolarsystem.cpp
  options/opssatellites.cpp
  options/opssupernovae.cpp
)

set(kstars_optionsui_SRCS
  options/opsadvanced.ui
  options/opscatalog.ui
  options/opscolors.ui
  options/opsguides.ui
  options/opssolarsystem.ui
  options/opssatellites.ui
  options/opssupernovae.ui
)

set(kstars_skyobjects_SRCS
  skyobjects/constellationsart.cpp
  skyobjects/deepskyobject.cpp
  skyobjects/jupitermoons.cpp
  skyobjects/planetmoons.cpp
  skyobjects/ksasteroid.cpp
  skyobjects/kscomet.cpp
  skyobjects/ksmoon.cpp
  skyobjects/ksplanetbase.cpp
  skyobjects/ksplanet.cpp
  #skyobjects/kspluto.cpp
  skyobjects/kssun.cpp
  skyobjects/skyline.cpp
  skyobjects/skyobject.cpp
  skyobjects/skypoint.cpp
  skyobjects/starobject.cpp
  skyobjects/trailobject.cpp
  skyobjects/satellite.cpp
  skyobjects/satellitegroup.cpp
  skyobjects/supernova.cpp
)

set(kstars_dialogs_SRCS
  dialogs/addcatdialog.cpp
  dialogs/addlinkdialog.cpp
  dialogs/detaildialog.cpp
  dialogs/finddialog.cpp
  dialogs/focusdialog.cpp
  dialogs/fovdialog.cpp
  dialogs/locationdialog.cpp
  dialogs/timedialog.cpp
  dialogs/exportimagedialog.cpp
)

set(kstars_dialogsui_SRCS
  dialogs/addcatdialog.ui
  dialogs/addlinkdialog.ui
  dialogs/details_database.ui
  dialogs/details_data.ui
  dialogs/details_data_comet.ui
  dialogs/details_links.ui
  dialogs/details_log.ui
  dialogs/details_position.ui
  dialogs/finddialog.ui
  dialogs/focusdialog.ui
  dialogs/fovdialog.ui
  dialogs/locationdialog.ui
  dialogs/wizwelcome.ui
  dialogs/wizlocation.ui
  dialogs/wizdownload.ui
  dialogs/newfov.ui
  dialogs/exportimagedialog.ui
)

set(kstars_projection_SRCS
    projections/projector.cpp
    projections/lambertprojector.cpp
    projections/gnomonicprojector.cpp
    projections/stereographicprojector.cpp
    projections/orthographicprojector.cpp
    projections/azimuthalequidistantprojector.cpp
    projections/equirectangularprojector.cpp
)

set(kstars_extra_SRCS
        auxiliary/colorscheme.cpp
        auxiliary/dms.cpp
        auxiliary/fov.cpp
        auxiliary/geolocation.cpp
        auxiliary/imageviewer.cpp
        auxiliary/ksfilereader.cpp
        auxiliary/ksuserdb.cpp
        auxiliary/thumbnailpicker.cpp
        auxiliary/thumbnaileditor.cpp
        auxiliary/binfilehelper.cpp
        auxiliary/imageexporter.cpp
        auxiliary/ksutils.cpp
        auxiliary/kswizard.cpp
        time/simclock.cpp
        time/kstarsdatetime.cpp
        time/timezonerule.cpp
        kstarsdbus.cpp
        ksnumbers.cpp
        kspopupmenu.cpp
        ksalmanac.cpp
        kstarsactions.cpp
        kstarsdata.cpp
        kstarsinit.cpp
        kstars.cpp
        kstarssplash.cpp
        skymap.cpp
        skymapdrawabstract.cpp
        skymapqdraw.cpp
        skymapevents.cpp
        skypainter.cpp
        skyqpainter.cpp
	texturemanager.cpp		
)

set(oal_SRCS
    oal/log.cpp
    oal/observer.cpp
    oal/site.cpp
    oal/session.cpp
    oal/scope.cpp
    oal/eyepiece.cpp
    oal/filter.cpp
    oal/observation.cpp
    oal/lens.cpp
    oal/equipmentwriter.cpp
    oal/observeradd.cpp
    oal/execute.cpp
)

set(printing_SRCS
    printing/detailstable.cpp
    printing/finderchart.cpp
    printing/foveditordialog.cpp
    printing/fovsnapshot.cpp
    printing/kstarsdocument.cpp
    printing/legend.cpp
    printing/loggingform.cpp
    printing/printingwizard.cpp
    printing/pwizchartconfig.cpp
    printing/pwizchartcontents.cpp
    printing/pwizfovbrowse.cpp
    printing/pwizfovconfig.cpp
    printing/pwizfovmanual.cpp

=== kstars/data/CMakeLists.txt ===
########### install files ###############

install( FILES
    kstars.png
    geomap.png
    citydb.sqlite
    skycultures/skycultures.sqlite
    stars.dat
    starnames.dat namedstars.dat unnamedstars.dat
    Henry-Draper.idx
    starlnum.idx
    ngcic.dat
    clines.dat
    cnames.dat
    milkyway.dat
    lmc.dat
    smc.dat
    cbounds.dat
	cbounds-3.idx  cbounds-4.idx  cbounds-5.idx  cbounds-6.idx
	image_url.dat info_url.dat 
	mercury.L0.vsop mercury.L1.vsop mercury.L2.vsop mercury.L3.vsop 
	mercury.L4.vsop mercury.L5.vsop mercury.B0.vsop mercury.B1.vsop 
	mercury.B2.vsop mercury.B3.vsop mercury.B4.vsop mercury.B5.vsop 
	mercury.R0.vsop mercury.R1.vsop mercury.R2.vsop mercury.R3.vsop 
	mercury.R4.vsop mercury.R5.vsop	
	venus.L0.vsop venus.L1.vsop venus.L2.vsop venus.L3.vsop 
	venus.L4.vsop venus.L5.vsop venus.B0.vsop venus.B1.vsop 
	venus.B2.vsop venus.B3.vsop venus.B4.vsop venus.B5.vsop 
	venus.R0.vsop venus.R1.vsop venus.R2.vsop venus.R3.vsop 
	venus.R4.vsop venus.R5.vsop 
	earth.L0.vsop earth.L1.vsop earth.L2.vsop earth.L3.vsop 
	earth.L4.vsop earth.L5.vsop earth.B0.vsop earth.B1.vsop 
	earth.B2.vsop earth.B3.vsop earth.B4.vsop earth.R0.vsop 
	earth.R1.vsop earth.R2.vsop earth.R3.vsop earth.R4.vsop 
	earth.R5.vsop 
	moonB.dat moonLR.dat 
	mars.L0.vsop mars.L1.vsop mars.L2.vsop mars.L3.vsop mars.L4.vsop 
	mars.L5.vsop mars.B0.vsop mars.B1.vsop mars.B2.vsop mars.B3.vsop 
	mars.B4.vsop mars.B5.vsop mars.R0.vsop mars.R1.vsop mars.R2.vsop 
	mars.R3.vsop mars.R4.vsop mars.R5.vsop 
	jupiter.L0.vsop jupiter.L1.vsop jupiter.L2.vsop jupiter.L3.vsop 
	jupiter.L4.vsop jupiter.L5.vsop jupiter.B0.vsop jupiter.B1.vsop 
	jupiter.B2.vsop jupiter.B3.vsop jupiter.B4.vsop jupiter.B5.vsop 
	jupiter.R0.vsop jupiter.R1.vsop jupiter.R2.vsop jupiter.R3.vsop 
	jupiter.R4.vsop jupiter.R5.vsop 
	saturn.L0.vsop saturn.L1.vsop saturn.L2.vsop saturn.L3.vsop 
	saturn.L4.vsop saturn.L5.vsop saturn.B0.vsop saturn.B1.vsop 
	saturn.B2.vsop saturn.B3.vsop saturn.B4.vsop saturn.B5.vsop 
	saturn.R0.vsop saturn.R1.vsop saturn.R2.vsop saturn.R3.vsop 
	saturn.R4.vsop saturn.R5.vsop 
	uranus.L0.vsop uranus.L1.vsop uranus.L2.vsop uranus.L3.vsop 
	uranus.L4.vsop uranus.L5.vsop uranus.B0.vsop uranus.B1.vsop 
	uranus.B2.vsop uranus.B3.vsop uranus.B4.vsop uranus.R0.vsop 
	uranus.R1.vsop uranus.R2.vsop uranus.R3.vsop uranus.R4.vsop 
	neptune.L0.vsop neptune.L1.vsop neptune.L2.vsop neptune.L3.vsop 
	neptune.L4.vsop neptune.L5.vsop neptune.B0.vsop neptune.B1.vsop 
	neptune.B2.vsop neptune.B3.vsop neptune.B4.vsop neptune.B5.vsop 
	neptune.R0.vsop neptune.R1.vsop neptune.R2.vsop neptune.R3.vsop 
	neptune.R4.vsop 
	mercury.orbit venus.orbit earth.orbit mars.orbit jupiter.orbit 
	saturn.orbit uranus.orbit neptune.orbit pluto.orbit 
	asteroids.dat comets.dat 
	wzstars.png wzgeo.png wzscope.png wzdownload.png chart.colors
        classic.colors moonless-night.colors night.colors 
        tips TZrules.dat valaav.txt Interesting.dat PlanetFacts.dat
    advinterface.dat satellites.dat	histogram.png noimage.png go-nw.png go-ne.png go-sw.png go-se.png glossary.xml defaultflag.gif
	DESTINATION  ${KDE_INSTALL_DATADIR}/kstars 
)

install( FILES KDE-KStars-Alert.ogg KDE-KStars-Warning.ogg  DESTINATION  ${KDE_INSTALL_DATADIR}/sounds )

install( FILES textures/star.png 
               textures/galaxy.png
               textures/open-cluster.png 
               textures/globular-cluster.png
               textures/galaxy-cluster.png
               textures/gaseous-nebula.png
               textures/planetary-nebula.png
	       textures/obslistsymbol.png
               textures/sun.png 
	       textures/mercury.png 
	       textures/venus.png 
	       textures/mars.png 
	       textures/jupiter.png 
	       textures/saturn.png 
	       textures/uranus.png 
	       textures/neptune.png 
	       textures/pluto.png 
	       textures/moon00.png 
	       textures/moon01.png 
	       textures/moon02.png 
	       textures/moon03.png 
	       textures/moon04.png 
	       textures/moon05.png 
	       textures/moon06.png 
	       textures/moon07.png 
	       textures/moon08.png 
	       textures/moon09.png 
	       textures/moon10.png 
	       textures/moon11.png 
	       textures/moon12.png 
	       textures/moon13.png 
	       textures/moon14.png 
	       textures/moon15.png 
	       textures/moon16.png 
	       textures/moon17.png 
	       textures/moon18.png 
	       textures/moon19.png 
	       textures/moon20.png 
	       textures/moon21.png 
	       textures/moon22.png 
	       textures/moon23.png 
	       textures/moon24.png 
	       textures/moon25.png 
	       textures/moon26.png 
	       textures/moon27.png 
	       textures/moon28.png 
	       textures/moon29.png 
	       textures/moon30.png 
	       textures/moon31.png 
	       textures/moon32.png 
	       textures/moon33.png 
	       textures/moon34.png 
	       textures/moon35.png
	       textures/defaultflag.png 
         DESTINATION ${KDE_INSTALL_DATADIR}/kstars/textures )

install ( FILES scripts/supernova_updates_parser.py 
         DESTINATION ${KDE_INSTALL_DATADIR}/kstars/scripts )
         
install( FILES skycultures/western/andromeda.png
		skycultures/western/antlia.png
		skycultures/western/apus.png
		skycultures/western/aquarius.png
		skycultures/western/aquila.png
		skycultures/western/ara.png
		skycultures/western/argonavis.png
		skycultures/western/aries.png
		skycultures/western/auriga.png
		skycultures/western/bootes.png
		skycultures/western/caelum.png
		skycultures/western/camelopardalis.png
		skycultures/western/cancer.png
		skycultures/western/canes-venatici.png
		skycultures/western/canis-major.png
		skycultures/western/canis-minor.png
		skycultures/western/capricornus.png
		skycultures/western/cassiopeia.png
		skycultures/western/centaurus.png
		skycultures/western/cepheus.png
		skycultures/western/cetus.png
		skycultures/western/chamaeleon.png
		skycultures/western/circinus.png
		skycultures/western/columba.png
		skycultures/western/coma-berenices.png
		skycultures/western/corona-australis.png
		skycultures/western/corona-borealis.png
		skycultures/western/corvus.png
		skycultures/western/crater.png
		skycultures/western/crux.png
		skycultures/western/cygnus.png
		skycultures/western/delphinus.png
		skycultures/western/dorado.png
		skycultures/western/draco.png
		skycultures/western/equuleus.png
		skycultures/western/eridanus.png
		skycultures/western/fornax.png
		skycultures/western/gemini.png
		skycultures/western/grus.png
		skycultures/western/hercules.png
		skycultures/western/horlogium.png
		skycultures/western/hydra.png
		skycultures/western/hydrus.png
		skycultures/western/indus.png
		skycultures/western/lacerta.png
		skycultures/western/leo-minor.png
		skycultures/western/leo.png
		skycultures/western/lepus.png
		skycultures/western/libra.png
		skycultures/western/lupus.png
		skycultures/western/lynx.png
		skycultures/western/lyra.png
		skycultures/western/mensa.png
		skycultures/western/microscopium.png
		skycultures/western/monoceros.png
		skycultures/western/musca.png
		skycultures/western/norma.png
		skycultures/western/octans.png
		skycultures/western/ophiuchus.png
		skycultures/western/orion.png
		skycultures/western/pavo.png
		skycultures/western/pegasus.png
		skycultures/western/perseus.png
		skycultures/western/phoenix.png
		skycultures/western/pictor.png
		skycultures/western/pisces.png
		skycultures/western/piscis-austrinus.png
		skycultures/western/pyxis.png
		skycultures/western/reticulum.png
		skycultures/western/sagitta.png
		skycultures/western/sagittarius.png
		skycultures/western/scorpius.png
		skycultures/western/sculptor.png
		skycultures/western/scutum.png
		skycultures/western/sextans.png
		skycultures/western/taurus.png
		skycultures/western/telescopium.png
		skycultures/western/triangulum-australe.png
		skycultures/western/triangulum.png
		skycultures/western/tucana.png
		skycultures/western/ursa-major.png
		skycultures/western/ursa-minor.png
		skycultures/western/virgo.png
		skycultures/western/volans.png
		skycultures/western/vulpecula.png
         DESTINATION ${KDE_INSTALL_DATADIR}/kstars/skycultures/western )
         
install( FILES skycultures/inuit/blubber-container.png
	       skycultures/inuit/breastbone.png
	       skycultures/inuit/caribou.png
	       skycultures/inuit/collarbones.png
	       skycultures/inuit/dogs.png
	       skycultures/inuit/lamp-stand.png
	       skycultures/inuit/runners.png
	       skycultures/inuit/the-one-behind.png
	       skycultures/inuit/two-in-front.png
	       skycultures/inuit/two-placed-far-apart.png
	       skycultures/inuit/two-sunbeams.png
         DESTINATION ${KDE_INSTALL_DATADIR}/kstars/skycultures/inuit )

=== kstars/htmesh/CMakeLists.txt ===
INCLUDE(CheckFunctionExists)
check_function_exists(drand48 HAVE_DRAND48)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-htmesh.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-htmesh.h )

### HTMesh library
set(HTMesh_LIB_SRCS
	${kstars_SOURCE_DIR}/kstars/htmesh/MeshIterator.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/HtmRange.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/HtmRangeIterator.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/RangeConvex.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/SkipList.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/SkipListElement.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/SpatialConstraint.cpp
#	${kstars_SOURCE_DIR}/kstars/htmesh/SpatialDomain.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/SpatialEdge.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/SpatialException.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/SpatialIndex.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/SpatialVector.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/HTMesh.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/MeshBuffer.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/MeshIterator.cpp
	${kstars_SOURCE_DIR}/kstars/htmesh/cc_aux.c
)

#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
#TODO is there KF5_ENABLE_EXCEPTIONS?
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions")

add_library(htmesh STATIC ${HTMesh_LIB_SRCS})

add_definitions(-D_EXPORTING)

set_target_properties(htmesh PROPERTIES
    VERSION 1.0.0
    SOVERSION 1)
install(TARGETS htmesh ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

# If you wish to compile the HTMesh perl wrapper, uncomment this, rebuild and copy the library into /usr/lib/, because we will use it as a shared object. See README in the perl wrapper directory (kstars/kstars/data/tools/HTMesh-*) for more details.
#set_property(TARGET htmesh PROPERTY POSITION_INDEPENDENT_CODE YES)

=== kstars/icons/CMakeLists.txt ===
#FIXME The following doesn't work, cmake complains of "group (action) is not recognized".
ecm_install_icons(ICONS
22-actions-kstars_cbound.png
22-actions-kstars_clines.png
22-actions-kstars_cnames.png
22-actions-kstars_constellationart.png
22-actions-kstars_deepsky.png
22-actions-kstars_flag.png
22-actions-kstars_grid.png
22-actions-kstars_hgrid.png
22-actions-kstars_horizon.png
22-actions-kstars_mw.png
22-actions-kstars_planets.png
22-actions-kstars_satellites.png
22-actions-kstars_stars.png
22-actions-kstars_supernovae.png
22-actions-kstars_ekos.png
22-actions-kstars_indi.png
22-actions-kstars_fitsviewer.png
22-actions-kstars_ekos_setup.png
22-actions-kstars_ekos_scheduler.png
22-actions-kstars_ekos_ccd.png
22-actions-kstars_ekos_mount.png
22-actions-kstars_ekos_focus.png
22-actions-kstars_ekos_align.png
22-actions-kstars_ekos_guide.png
32-actions-kstars_clines.png
32-actions-kstars_cnames.png
32-actions-kstars_constellationart.png
32-actions-kstars_deepsky.png
32-actions-kstars_flag.png
32-actions-kstars_grid.png
32-actions-kstars_hgrid.png
32-actions-kstars_horizon.png
32-actions-kstars_mw.png
32-actions-kstars_planets.png
32-actions-kstars_satellites.png
32-actions-kstars_stars.png
32-actions-kstars_supernovae.png
32-actions-kstars_ekos.png
32-actions-kstars_fitsviewer.png
32-actions-kstars_indi.png
32-actions-kstars_ekos_setup.png
32-actions-kstars_ekos_scheduler.png
32-actions-kstars_ekos_ccd.png
32-actions-kstars_ekos_mount.png
32-actions-kstars_ekos_focus.png
32-actions-kstars_ekos_align.png
32-actions-kstars_ekos_guide.png
48-actions-kstars_clines.png
48-actions-kstars_cnames.png
48-actions-kstars_constellationart.png
48-actions-kstars_deepsky.png
48-actions-kstars_flag.png
48-actions-kstars_grid.png
48-actions-kstars_hgrid.png
48-actions-kstars_horizon.png
48-actions-kstars_mw.png
48-actions-kstars_planets.png
48-actions-kstars_satellites.png
48-actions-kstars_stars.png
48-actions-kstars_supernovae.png
48-actions-kstars_ekos.png
48-actions-kstars_fitsviewer.png
48-actions-kstars_indi.png
48-actions-kstars_ekos_setup.png
48-actions-kstars_ekos_scheduler.png
48-actions-kstars_ekos_ccd.png
48-actions-kstars_ekos_mount.png
48-actions-kstars_ekos_focus.png
48-actions-kstars_ekos_align.png
48-actions-kstars_ekos_guide.png
64-actions-kstars_advanced.png
64-actions-kstars_catalog.png
64-actions-kstars_cbound.png
64-actions-kstars_clines.png
64-actions-kstars_cnames.png
64-actions-kstars_constellationart.png
64-actions-kstars_colors.png
64-actions-kstars_deepsky.png
64-actions-kstars_flag.png
64-actions-kstars_grid.png
64-actions-kstars_guides.png
64-actions-kstars_hgrid.png
64-actions-kstars_horizon.png
64-actions-kstars_mw.png
64-actions-kstars_planets.png
64-actions-kstars_satellites.png
64-actions-kstars_solarsystem.png
64-actions-kstars_stars.png
64-actions-kstars_supernovae.png
64-actions-kstars_xplanet.png
64-actions-kstars_ekos.png
64-actions-kstars_fitsviewer.png
64-actions-kstars_indi.png
64-actions-kstars_ekos_setup.png
64-actions-kstars_ekos_scheduler.png
64-actions-kstars_ekos_ccd.png
64-actions-kstars_ekos_mount.png
64-actions-kstars_ekos_focus.png
64-actions-kstars_ekos_align.png
64-actions-kstars_ekos_guide.png

DESTINATION
${KDE_INSTALL_ICONDIR} THEME hicolor)

=== kstars/tools/whatsinteresting/qml/CMakeLists.txt ===
#install_files

install( FILES wiview.qml ScrollBar.qml
         leftArrow.png
         settingsIcon.png
         reloadIcon.png
         next.png
         previous.png
         DESTINATION  ${KDE_INSTALL_DATADIR}/kstars/tools/whatsinteresting/qml )

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: astrometry.net,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev,
               kinit-dev,
               kio-dev,
               libastrometry-dev,
               libcfitsio3-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libindi-dev (>= 1.1.0~),
               libkf5config-dev,
               libkf5dbusaddons-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5plotting-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libnova-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtmultimedia5-dev (>= 5.4),
               wcslib-dev,
               xplanet (>= 1.0),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kstars.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --ddeb-migration='kstars-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kstars-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kstars-([\d.]+).tar.xz

## kstars 16.04.3

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: astrometry.net,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libastrometry-dev,
               libcfitsio3-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libindi-dev (>= 1.2.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5crash-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5guiaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5jobwidgets-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5plotting-dev (>= 5.24.0~),
               libkf5texteditor-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libnova-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtmultimedia5-dev (>= 5.6.1~),
               wcslib-dev,
               xplanet (>= 1.0),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter,
          konqueror
Recommends: astrometry.net,
            indi-bin,
            xplanet
Breaks: kstars-data (<= 4:16.04)
Replaces: kstars-data (<= 4:16.04)
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbgsym-migration='kstars-dbg (<= 4:15.12.1-1~~)'

## kstars 16.08.3

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: astrometry.net,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev,
               kinit-dev,
               kio-dev,
               libcfitsio-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libindi-dev (>= 1.2.0~),
               libkf5config-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5plotting-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libnova-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtmultimedia5-dev (>= 5.4),
               wcslib-dev,
               xplanet (>= 1.0),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kstars.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Breaks: kstars-data (<= 4:16.04)
Replaces: kstars-data (<= 4:16.04)
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kstars-dbg (<= 4:15.12.1-1~~)'
+
+override_dh_auto_test:
+	# Disable auto tests at build time
+	:

## kstars 16.12.3

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: astrometry.net,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libcfitsio-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libindi-dev (>= 1.2.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5plotting-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libnova-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libraw-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtmultimedia5-dev (>= 5.6.1~),
               wcslib-dev,
               xplanet (>= 1.0),
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Breaks: kstars-data (<= 4:16.04)
Replaces: kstars-data (<= 4:16.04)
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

## kstars 17.04.3

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifications-dev (>= 5.31.0~),
+               libkf5notifyconfig-dev (>= 5.31.0~),
                libkf5plotting-dev (>= 5.31.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
@@ -53,8 +54,8 @@
 Depends: kstars-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter, konqueror
 Recommends: astrometry.net, indi-bin, xplanet
-Breaks: kstars-data (<= 4:16.04)
-Replaces: kstars-data (<= 4:16.04)
+Breaks: kstars-data (<= 4:16.04), ${kde-l10n:all}
+Replaces: kstars-data (<= 4:16.04), ${kde-l10n:all}
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.
@@ -67,7 +68,10 @@
 Package: kstars-data
 Architecture: all
 Section: science
-Depends: ${misc:Depends}
+Depends: qml-module-qtquick-controls,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         ${misc:Depends}
 Description: data files for KStars desktop planetarium
  This package contains architecture-independent data files for KStars,
  the graphical desktop planetarium for KDE, including star catalogues and

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kstars-dbg (<= 4:15.12.1-1~~)'
